# Retrieve the URL for an order's data extension

Retrieves the URL for the order's data extension. This lets you check if the data extension exists.

Endpoint: GET /v2.1/orders/{orderRef}/extensions
Version: v2.1
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `orderRef` (string, required)

## Query parameters:

  - `expand` (array)

  - `offset` (object)

  - `limit` (object)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `name` (string)
    The name of the data extension.
    Example: ext

  - `offset` (integer)
    The request's offset.
    Example: 0

  - `limit` (integer)
    The request's limit.
    Example: 10

  - `first` (object)
    The request's first list of order data extensions URL.

  - `first.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions

  - `last` (object)
    The request's last list of order data extensions URL.

  - `last.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions

  - `next` (object)
    The request's next list of order data extensions URL.

  - `next.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions

  - `href` (string)
    The request's URL.
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions/ext

  - `items` (array)
    The request's data extension items.

  - `items.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51/extensions/ext

  - `order` (object)

  - `order.href` (string)
    Example: https://api-engage-eu.sitecorecloud.io/v2.1/orders/cadd106a-feff-42b2-90fb-a6ed136ece51

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `status` (integer)
    The HTTP request status.
    Example: 400

  - `code` (integer)
    The HTTP response status code.
    Example: 400

  - `message` (string)
    description message
    Example: firstName: may not be null.

  - `developerMessage` (string)
    Error description for developers.
    Example: firstName: may not be null.

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: https://support.sitecore.com

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `status` (string)
    The HTTP request status.
    Example: UNAUTHORIZED

  - `code` (integer)
    The HTTP response status code.
    Example: 401

  - `message` (string)
    Error description.
    Example: Authentication credentials are required to access the resource. All requests must be authenticated.

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: https://support.sitecore.com

